Get Contract Template by ID
curl --request GET \
--url https://api.assembly.com/v1/contract-templates/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/contract-templates/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/contract-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"fields": [
{
"autoFillField": "<string>",
"bounds": {
"height": 123,
"pageHeight": 123,
"pageWidth": 123,
"resizedHeight": 123,
"resizedWidth": 123,
"width": 123,
"x": 123,
"y": 123
},
"encodedImgValue": "<string>",
"id": "e4f5a6b7-c8d9-4e0f-1a2b-3c4d5e6f7a8b",
"inputType": "client",
"isOptional": false,
"label": "Signature",
"page": 0,
"type": "signature",
"value": "<string>"
}
],
"fileKey": "<string>",
"id": "<string>",
"identityId": "<string>",
"latestSubmissionDate": "2023-11-07T05:31:56Z",
"name": "NDA Template",
"object": "<string>",
"owner": {
"id": "<string>",
"metadata": {
"avatarImageUrl": "<string>",
"companyAvatarUrl": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"email": "<string>",
"fallbackColor": "<string>",
"familyName": "<string>",
"givenName": "<string>"
}
},
"pageKeys": [
"<string>"
],
"portalId": "<string>",
"previousAttributes": {},
"ref": "<string>",
"requestsCount": 12,
"submissionsCount": 8,
"updatedAt": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Contract Templates
Get Contract Template by ID
Retrieves a single contract template by its ID.
GET
/
v1
/
contract-templates
/
{id}
Get Contract Template by ID
Authorizations
Path Parameters
Contract template ID
Response
OK
Show child attributes
Show child attributes
LatestSubmissionDate is the timestamp of the most recent signed contract from this template.
Name is the human-readable name of the template.
Example:
"NDA Template"
Show child attributes
Show child attributes
SubmissionRequests is the number of contracts that have been sent from this template.
Example:
12
Submissions is the number of contracts created from this template that have been signed.
Example:
8
⌘I